import request from '@/utils/request'

// 查询解读管理列表
export function listSampleExperiment(query) {
  return request({
    url: '/sample/sampleExperiment/list',
    method: 'get',
    params: query
  })
}

// 查询解读管理详细
export function getSampleExperiment(id) {
  return request({
    url: '/sample/sampleExperiment/' + id,
    method: 'get'
  })
}

// 新增解读管理
export function addSampleExperiment(data) {
  return request({
    url: '/sample/sampleExperiment',
    method: 'post',
    data: data
  })
}

// 修改解读管理
export function updateSampleExperiment(data) {
  return request({
    url: '/sample/sampleExperiment',
    method: 'put',
    data: data
  })
}

// 删除解读管理
export function delSampleExperiment(id) {
  return request({
    url: '/sample/sampleExperiment/' + id,
    method: 'delete'
  })
}
